Bug 20947 - strange Xresource error with sawfish
strange Xresource error with sawfish
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-16 05:32 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-17 09:33:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-16 05:32:40 EST
in a session on a remote system (via ssh) I want to call a application
running under X
I got the following errormessage:
X Error of failed request:  BadAccess (attempt to access private resource
denied)
  Major opcode of failed request:  28 (X_GrabButton)
  Serial number of failed request:  2588
  Current serial number in output stream:  2604
The problem doesn't occur with enlightenment.
So which private resource this application tries to access which sawfish
doesn't allow and enlightenment does?
Comment 1 Havoc Pennington 2000-11-16 12:49:55 EST
No idea - we'd have to know which application it is and what that application
tries to do. Is it an application we ship with Red Hat?
Comment 2 Need Real Name 2000-11-17 03:34:11 EST
Sorry, but the apllication is not shiped with RedHat, it isn't even an Linux
application. It is running under HP-UX an it's the Message-Translation Editor
from the Integration Engine. So it just want to access the XServer on my RH7.0
workstation. The software producer from the application just tells me that they
do not support XFree86. But still I ask why the problem do not occur with
enlightenment?
Comment 3 Havoc Pennington 2000-11-17 09:33:01 EST
The error means the app is trying to grab the keyboard or mouse when it's
already grabbed, the application should be able to handle that correctly.
This is a bug in the application. I can't tell you why it doesn't happen with
Enlightenment without seeing the application source code to know when and why
the app is trying to grab the keyboard/mouse. You will have to ask the
application vendor to support their app - there's just no way for me to guess
what the app is doing.
Comment 4 Havoc Pennington 2000-11-17 09:34:43 EST
Closing NOTABUG, believe this is an application bug of some kind.

Note You need to log in before you can comment on or make changes to this bug.